ATANH(3)

NAME
atanh, atanhf - inverse hyperbolic tangent functions

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
atanh(double x);
float
atanhf(float x);

DESCRIPTION
The atanh() and the atanhf() functions compute the inverse hyperbolic tangent of the real argument x. For a discussion of error due to roundoff, see math(3).

RETURN VALUES
The atanh() and the atanhf() functions return the inverse hyperbolic tangent of x if successful. If the argument has absolute value 1, a divide-by-zero exception is raised and an infinity is returned. If |x| > 1, an invalid exception is raised and an is returned.

SEE ALSO
acosh(3), asinh(3), exp(3), fenv(3), math(3)

HISTORY
The atanh() function appeared in 4.3BSD.